| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSparse3D Class Reference

General 3D sparse matrix class. More...

`#include <csutil/sparse3d.h>`

Inheritance diagram for csSparse3D:

[legend]
List of all members.

## Public Member Functions
| csSparse3D ()
virtual | ~csSparse3D ()

## Detailed Description

General 3D sparse matrix class.

This is an abstract class. Specific implementations are csWideSparse3D and csDenseSparse3D.

Definition at line 33 of file sparse3d.h.

The documentation for this class was generated from the following file:

- csutil/sparse3d.h